resolver kube-dns.kube-system.svc.cluster.local valid=10s;

location ^~ /api/ssh_locker/ {
    rewrite ^/api/ssh_locker/(.*)$ /$1 break;
    proxy_pass https://backend.ssh-locker-web.svc.cluster.local;
    proxy_set_header Host $host;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header X-Forwarded-Proto $scheme;
    proxy_set_header X-Forwarded-Host $host;
    proxy_set_header X-Forwarded-Port $server_port;
}